#include "imageprovider.h"

ImageProvider::ImageProvider() : QQuickImageProvider(Image)
{
}

QImage ImageProvider::requestImage(const QString &id, QSize *size, const QSize &requestedSize)
{
	// simple implement
    if (id == QLatin1String("head_display")){
        return QImage(":/new/prefix1/default.gif");
    }

    return QImage();
}
